Page MenuHomePhabricator

Show the comparison from Earwig's detector on the CopyPatrol interface
Closed, ResolvedPublic5 Story Points

Description

For each item on the CopyPatrol interface, there is a pane that can be opened up with an open/closed toggle.

For each link that has a potential match, there will be a Compare toggle button, and this text structure: "xx% (xx words) URL" -- with the percent of the match, the number of matching words, and the source URL.

When there's more than one potential source, the Compare buttons and links stack; see wireframes below. Sources are listed from the highest match to the lowest.

When the user clicks on the Compare button, the item expands to show a pane showing two columns -- the article and the potential source. The display is similar to Earwig's comparison tool, but with a scroll bar for each column, so the user can line up the matched text side-by-side.

The pane can be closed by clicking the Compare button again.

If a pane is open and the user clicks on a different Compare button, the open pane closes, and the new one opens. There should only be one open pane at a time.

If there's a noticeable delay in loading the comparison, show a spinner to indicate that it's working.

Wireframes:

To get the comparison data from Earwig's API, simply pass detail=true when using action=compare. For example:
https://tools.wmflabs.org/copyvios/api.json?version=1&action=compare&detail=true&project=wikipedia&lang=en&title=User:EarwigBot/Copyvios/Tests/2&url=https://www.whitehouse.gov/administration/president-obama&format=jsonfm
For more info on the API, see https://tools.wmflabs.org/copyvios/api.

Event Timeline

DannyH created this task.Apr 16 2016, 12:34 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 16 2016, 12:34 AM
kaldari updated the task description. (Show Details)Apr 18 2016, 6:24 PM
DannyH set the point value for this task to 5.Apr 18 2016, 6:25 PM
DannyH moved this task from To be estimated/discussed to Estimated on the Community-Tech board.
DannyH updated the task description. (Show Details)Apr 18 2016, 10:49 PM
DannyH updated the task description. (Show Details)Apr 18 2016, 11:01 PM
DannyH updated the task description. (Show Details)May 5 2016, 11:36 PM
Restricted Application added a subscriber: JEumerus. · View Herald TranscriptMay 18 2016, 8:55 PM
bd808 renamed this task from Show the comparison from Earwig's detector on the Plagiabot interface to Show the comparison from Earwig's detector on the CopyPatrol interface.May 31 2016, 5:12 PM
bd808 updated the task description. (Show Details)
kaldari updated the task description. (Show Details)Jun 9 2016, 10:12 PM
Niharika edited projects, added Community-Tech-Sprint; removed Community-Tech.
kaldari closed this task as Resolved.Jun 15 2016, 2:09 AM
kaldari added a subscriber: kaldari.

Nice work. Looks great.

DannyH moved this task from Estimated to Archive on the Community-Tech board.Jun 20 2016, 8:19 PM
MusikAnimal moved this task from Backlog to Done on the CopyPatrol board.Dec 6 2016, 5:25 AM